Summary:	Red Flag Log Viewer 
Name:		rflogview
Version:	1.0
Release:	26AX
Group:		Applications/System
License:	GPL
Source:		%{name}.tar.gz
Patch1:		rflogview-1.0.patch
Patch2:		rflogview-1.0-symlink.patch
Patch3:		rflogview-1.0-delete_conf-syslog.patch
Patch4:		rflogview-1.0-disablewrapping.patch

%description
watch log tools.
%prep
%setup -q -n rflogview
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
unset QTDIR && . /etc/profile.d/qt.sh
%ifarch x86_64
export libstuff=64;make
%else
make
%endif

%install
./install.sh
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/
cp $RPM_BUILD_ROOT/usr/share/applnk/Settings/rflogview.desktop $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/

%post
chmod 744 /usr/share/rflogview/rflogview_create_conf
chmod 744 /usr/share/rflogview/rflogview_delete_conf
sh /usr/share/rflogview/rflogview_create_conf
/etc/init.d/syslog condrestart
#for rpm -Uvh ,old rpm would resotre the file
if [ $1 = 2 ] ;  then
	cp  /etc/syslog.conf /usr/share/rflogview/syslogbak
	grep -v 'rflogview' /etc/cron.daily/logrotate > /usr/share/rflogview/logrotatebak
fi

#if [ -x /usr/bin/ctrlpanel ];then
#    /usr/bin/ctrlpanel -g GroupSys -i /usr/share/applnk/Settings/rflogview.desktop
#fi

%preun
#if rpm -e; fileter the configuration ,clear the information of rflogview
if [ $1 = 0 ] ; then
	sh /usr/share/rflogview/rflogview_delete_conf
fi
#if [ -x /usr/bin/ctrlpanel ];then
#    /usr/bin/ctrlpanel -g GroupSys -u rflogview.desktop
#fi
rm -rf /usr/share/rflogview/CVS
rm -rf /usr/share/rflogview/icons/CVS

%triggerpostun -n rflogview -- rflogview <= 1.0-23AX
chmod 755 /etc/cron.daily/logrotate

%clean

%files
/usr/bin/rflogview
/usr/share/rflogview/
/usr/share/applnk/Settings/rflogview.desktop
/etc/sysconfig/khwtree/GroupSys/rflogview.desktop
/usr/share/pixmaps/rflogview.xpm
/etc/logrotate.d/rflogview_boot
/etc/logrotate.d/rflogview_system
/etc/logrotate.d/rflogview_user
/etc/logrotate.d/rflogview_mail
/etc/logrotate.d/rflogview_secure

%changelog
* Fri Jan  5 2007 Liu Xiao <xiaoliu@redflag-linux.com> 1.0-26AX
- when the number reach the minimum or the maximum, the down or the up
  button will be disable(bug#2139)
* Thu Jan  4 2007 Hiroshi Hara <hhara@miraclelinux.com> 1.0-25AX
- change /etc/init.d/syslog of %post section from restart to
  condrestart(bug#2122)
- change /etc/init.d/syslog of rflogview_delete_conf from 
  restart to condrestart
* Thu Apr  6 2006 Shiro Yamada <shiro@miraclelinux.com> 1.0-24AX
- chmod 755 to /etc/cron.daily/logroate if necessary
- apply patch2 to fix symlink vulnerability in /tmp/syslog.conf
* Wed Mar 15 2006 He Tao <taohe@redflag-linux.com> 1.0-23AX
- change logrotate method(original: overwite the file /etc/con.daily/logrotate  now:add files in the dir /etc/logrotate.d/)
- append /etc/syslog.conf instead of overwrite it (patch #1)
* Thu Sep 29 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-22
- modify some Korean strings
* Mon Jun  6 2005 sywang <sywang@redflag-linux.com> 1.0.21
- add big5 help support.
* Mon Jun  6 2005 Wang Siyuan <sywang@redflag-linux.com> 1.0.20
- add zh_TW help support
* Fri May 13 2005 Wang Siyuan <sywang@redflag-linux.com> 1.0.18
- add zh_TW display support
* Mon Apr 12 2004 pczou
- English user's guide added
* Mon Apr 05 2003 zqyang <zqyang@redflag-linux.com>
- standard
* Mon Mar 24 2003 zqyang <zqyang@redflag-linux.com>
- add about 
* Wed Mar 12 2003 zqyang <zqyang@redflag-linux.com>
- fix bugs
* Tue Jan 02 2003 zqyang <zqyang@redflag-linux.com>
- A
